org.eclipse.microprofile.rest.client.tck.jsonb

## Class InvokeWithJsonBProviderTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.rest.client.tck.WiremockArquillianTest
    - - org.eclipse.microprofile.rest.client.tck.jsonb.InvokeWithJsonBProviderTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class InvokeWithJsonBProviderTest
    extends WiremockArquillianTest

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`InvokeWithJsonBProviderTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `testCanSeePrivatePropertiesViaContextResolver()`
`void` `testGetExecutesForBothClients()`

### Methods inherited from class org.eclipse.microprofile.rest.client.tck.WiremockArquillianTest

`getPort, getServerURI, getServerURL, getStringURL, setupServer`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InvokeWithJsonBProviderTest

    public InvokeWithJsonBProviderTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### testGetExecutesForBothClients

    public void testGetExecutesForBothClients()
                                       throws Exception

Throws:
  `Exception`

#### testCanSeePrivatePropertiesViaContextResolver

    public void testCanSeePrivatePropertiesViaContextResolver()
                                                       throws Exception

Throws:
  `Exception`